Subject: Re: ASCII and BINARY files. Why?
From: [email-masked] (Jim Balter)

1 Feb 1997 04:22:26 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Grant Leslie <[email-masked]>
Original-CC: GNU-WIN32 <[email-masked]>
Original-Sender: [email-masked]

Grant Leslie wrote:
> 
> > From: Jim Balter <[email-masked]>
> > You have to accept *some* sort of imperfection.  The argument that
> users
> > shouldn't be made to convert files is useless when the alternative
> is
> > that no tool can be used for both text and binary files.
> 
> I for one would rather work to remove any sort of imperfections I had
> the ability to remove...

Sigh.  That's a non sequitur.  If you think not, let's see
your plans for making everybody happy.

> > Loose talk about "the average Win95 user", a person who would have
> no
> > interest in these tools, ignores the other end, average and not so
> > average users who are familiar with these tools and want to fully
> take
> > advantage of their capabilities.
> 
> These development tools are intended to develop software... This
> software which is created WILL eventually be placed in the hands of
> non-developers. Shouldn't every effort be made to remove as many
> idiosyncrasies as possible _before_ that happens?? From what I've
> read quite a few people would like to make money with the end
> products.

Sigh.  A house does not resemble the tools it was built with.
The facts that od doesn't show \r's or that typing
echo a|tr a '\032|wc prints 0 0 0
will not be reflected in developed products.  A developer can read
or write files any way she wants (and frankly, any developer that
writes a product that doesn't always use binary opens to avoid
any surprises is nutso).  The text/binary issue only involves the
*default* for file processing, which is mostly a problem for source
that you cannot or do not wish to modify.  It has to do with
development time and portability.  These are not end-user concerns,
except to the degree that they are reflected in product cost
and availability.

> I don't know exactly what Cygnus envisions for these tools, yet Im
> rather certain the companies they work with will be wanting them to
> create software for people other than just the software developers in
> that company. The tools themselves are not the end to the means....

No, tools are means, not ends, which is exactly why the issues here
only affect developers, not end users, and why "the average Win95
user" is irrelevant.

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".